<?php

namespace EventPortal\Tests\Unit\Form;

use EventPortal\Domain\Form\Form;
use EventPortal\Tests\TestCase;

class FormTest extends TestCase
{
    /** @test **/
    public function can_get_value()
    {
        $form = new Form;

        $sections = [
            [
                'component' => 'Section',
                'name' => 'key_details',
                'label' => 'Key details',
                'children' => [
                    [
                        'component' => 'TextInput',
                        'name' => 'event_name',
                        'label' => 'Event Name',
                        'value' => 'Hello World!'
                    ]
                ]
            ]
        ];

        $form->addSections($sections);

        $this->assertEquals('Hello World!', $form->getValue('event_name'));
    }
}
